For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList guests
      • POSTCreate a guest
      • GETGet a guest
      • DELDelete a guest
      • PATCHUpdate a guest
      • GETGet guest token
      • GETList Guest Roles
      • POSTAssign Role to Guest
      • DELRemove Role from Guest
      • POSTInvite guests
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceGuests

List guests

GET
https://api.x.flatfile.com/v1/guests
GET
/v1/guests
$curl -G https://api.x.flatfile.com/v1/guests \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d spaceId=us_sp_YOUR_ID
200Example0
1{
2 "data": [
3 {
4 "createdAt": "2023-10-30T16:59:45.735Z",
5 "email": "email@example.com",
6 "environmentId": "us_env_YOUR_ID",
7 "id": "us_g_YOUR_ID",
8 "name": "Your Name",
9 "spaces": [
10 {
11 "id": "us_sp_YOUR_ID",
12 "workbooks": [
13 {
14 "id": "us_wb_YOUR_ID"
15 }
16 ],
17 "sheets": [
18 {
19 "id": "us_sh_YOUR_ID"
20 }
21 ],
22 "lastAccessed": "2023-10-30T16:59:45.735Z"
23 }
24 ],
25 "updatedAt": "2023-10-30T16:59:45.735Z"
26 }
27 ]
28}
Returns all guests
Was this page helpful?
Previous

Create a guest

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

spaceIdstringRequired
ID of space to return
emailstringOptional
Email of guest to return

Response

This endpoint returns an object.
datalist of objects